summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2016-04-05 22:48:33 -0400
committerMichael Sterrett <mr_bones_@gentoo.org>2016-04-05 22:48:51 -0400
commit15731324431c44fc7881bba63dc8a51880ca7739 (patch)
tree2e16adb32be05eb90bde94d21cca9e5f4bf91353 /sci-astronomy
parentprofiles: sandbox: enable all multilibs by default #579122 (diff)
downloadgentoo-15731324431c44fc7881bba63dc8a51880ca7739.tar.gz
gentoo-15731324431c44fc7881bba63dc8a51880ca7739.tar.bz2
gentoo-15731324431c44fc7881bba63dc8a51880ca7739.zip
sci-astronomy/stellarium: version bump
Package-Manager: portage-2.2.26
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/stellarium/Manifest1
-rw-r--r--sci-astronomy/stellarium/stellarium-0.14.3.ebuild107
2 files changed, 108 insertions, 0 deletions
diff --git a/sci-astronomy/stellarium/Manifest b/sci-astronomy/stellarium/Manifest
index 0ff500324b1..b8d338e03cf 100644
--- a/sci-astronomy/stellarium/Manifest
+++ b/sci-astronomy/stellarium/Manifest
@@ -10,3 +10,4 @@ DIST stars_8_2v0_0.cat 706781416 SHA256 91b79dcf97464b4ca0f6c604e745dac2c6ca02e2
DIST stars_8_2v0_1.cat 559068934 SHA256 f1c0b3f25737f405ed4a2a045091d348885ffceb47258c3e32a2f4a800cac482 SHA512 06d4fa298b9dff8452f550377df99fcaa5e7107cfc7b75c9a4769b3cb6d97a822a54213c706102c1d7ef2dabc16df32a85f46b2f6d6c6f76a4e919353b739de4 WHIRLPOOL a467e7aef3851ad219103a401e20896a89efe01615e5df753c63a74876442dcf22c78d838b269dca50af58e9484f1d1abfd56f2ecdfdb57fdb3e1087e2e7136e
DIST stellarium-0.12.4.tar.gz 79343617 SHA256 0fae1b6e2231ccfaba8fd00abf816a88bd89b5dc61387ac84edf479b363c6684 SHA512 324a8c930281e26e91d45356cf3aab89cf708c7e64636b7e89de95af3f6d2569830caf05fb44ebef88f65dda55cb6dd18dcf4ee54d46da3910c456dc2daac478 WHIRLPOOL 8bce980d157904c4032368da335263a9afd2136386b0fd19d27e10f1c8b33712780130ed6845f26b3bac43f00d2de4aee80c47a0648a6cf6b4741bf69301f110
DIST stellarium-0.14.2.tar.gz 139069181 SHA256 aa04a5ae44ed177bc187d20e27a87cc11fc2f465036d673f02ec07b333a0b1f7 SHA512 401dc8f88779119f0fef9d2e24cb5440c16a1f1d4a79ff80c51cfef848f6b1d881f5144acd599f8b709d099b120420c18bba9f50f3518c44bf815021f7efc2ed WHIRLPOOL 8cb4dc54f91bffda6e4bab76efa855bc43e2440d9e6408a1028bc118d27971c17d9ec2106748ec7df5f6b47da4db6938b359490659092bb5169e15f5eed14d21
+DIST stellarium-0.14.3.tar.gz 137661611 SHA256 de41c5b14fdf0c5f6e73bab2975f380554487b1817f2c5a2ebad3bb8e9e729a4 SHA512 83d9a1c53f118c143e81d31e7f87dbf73368bfa981311c8bc41a51307fe6108c9169b43ad1fdde1cec84b9b1e8a4ef51d4de3b91d7aa676be38302b2223a6675 WHIRLPOOL 441302d93778185c9743451bd04148bd4a8a599eaff4f5a7b90025df9eb9873e1a203f0a82f687b7d2fb53fcf811e16903000d7179c6508738935518a2bbe966
diff --git a/sci-astronomy/stellarium/stellarium-0.14.3.ebuild b/sci-astronomy/stellarium/stellarium-0.14.3.ebuild
new file mode 100644
index 00000000000..da0458bca99
--- /dev/null
+++ b/sci-astronomy/stellarium/stellarium-0.14.3.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit cmake-utils eutils flag-o-matic gnome2-utils
+
+DESCRIPTION="3D photo-realistic skies in real time"
+HOMEPAGE="http://www.stellarium.org/"
+SRC_URI="
+ mirror://sourceforge/stellarium/${P}.tar.gz
+ stars? (
+ mirror://sourceforge/stellarium/stars_4_1v0_1.cat
+ mirror://sourceforge/stellarium/stars_5_2v0_1.cat
+ mirror://sourceforge/stellarium/stars_6_2v0_1.cat
+ mirror://sourceforge/stellarium/stars_7_2v0_1.cat
+ mirror://sourceforge/stellarium/stars_8_2v0_1.cat
+ )"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug nls sound stars"
+
+RESTRICT="test"
+
+RDEPEND="
+ media-fonts/dejavu
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtopengl:5
+ dev-qt/qtscript:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ virtual/opengl
+ sys-libs/zlib
+ sound? ( dev-qt/qtmultimedia:5[widgets] )"
+DEPEND="${RDEPEND}
+ dev-qt/qttest:5
+ dev-qt/qtconcurrent:5
+ nls? ( dev-qt/linguist-tools:5 )"
+
+LANGS=(
+ af ak am ar as ast az be bg bn bo br bs ca cs
+ cy da de el en en_CA en_GB en_US eo es et eu fa fi fil fr
+ ga gd gl gu he hi hr hu hy ia id is it ja ka kk kn ko ky
+ la lb lo lt lv mk ml mn mr ms mt nan nb nl nn oc pa pl pt pt_BR ro
+ ru se si sk sl sq sr sv sw ta te tg th tl tr tt uk uz vi
+ zh_CN zh_HK zh_TW zu
+ )
+
+for X in "${LANGS[@]}" ; do
+ IUSE+=" linguas_${X}"
+done
+
+src_prepare() {
+ if [[ -n ${LINGUAS} ]] ; then
+ sed -i \
+ -e '/aa ab ae/d' \
+ -e "/GETTEXT_CREATE_TRANSLATIONS/a \ ${LINGUAS}" \
+ po/stellarium{,-skycultures}/CMakeLists.txt || die #403647
+ fi
+ # Turn off TelescopeControl since dev-qt/qtserialport isn't
+ # marked stable and is missing keywords besides.
+ sed -i \
+ -e '/SimpleDrawLine/ s:0:1:g' \
+ -e '/TelescopeControl/s:1:0:g' \
+ CMakeLists.txt || die
+ sed -i -e '/stellarium Core/s/SerialPort//' src/CMakeLists.txt || die
+ use debug || append-cppflags -DQT_NO_DEBUG #415769
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_enable nls)
+ $(cmake-utils_use_enable sound)
+ )
+ CMAKE_IN_SOURCE_BUILD=1 cmake-utils_src_configure
+}
+
+src_install() {
+ DOCS="AUTHORS ChangeLog README" \
+ cmake-utils_src_install
+
+ # use the more up-to-date system fonts
+ rm "${ED}"/usr/share/stellarium/data/DejaVuSans{Mono,}.ttf || die
+ dosym ../../fonts/dejavu/DejaVuSans.ttf /usr/share/stellarium/data/DejaVuSans.ttf
+ dosym ../../fonts/dejavu/DejaVuSansMono.ttf /usr/share/stellarium/data/DejaVuSansMono.ttf
+
+ if use stars ; then
+ insinto /usr/share/${PN}/stars/default
+ doins "${DISTDIR}"/stars_[45678]_[12]v0_1*.cat
+ fi
+ newicon doc/images/stellarium-logo.png ${PN}.png
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}